Subject: Re: bug#73777: set-fontset-font doesn't set :size for specific characters when using some fonts

From: Robert Pluim <[email-masked]>
Date: Mon, 21 Oct 2024 11:47:56 +0200

>>>>> On Sat, 19 Oct 2024 09:36:51 +0300, Eli Zaretskii <[email-masked]> said:
    >> 
    >> Now that I know that the variable use-default-font-for-symbols controls
    >> whether Emacs should honor fontsets, I don't think there's a problematic
    >> font, instead it was my fault for not correctly knowing the variable
    >> that instruct Emacs that it shoud honor fontsets.

    Eli> It's an obscure variable, not mentioned in any manuals (because we
    Eli> don't believe someone will want to specify a separate font for
    Eli> punctuation characters).  It's a little wonder you didn't know about
    Eli> it.

Itʼs in the docstring for `set-fontset-font' and in the manuals as of
emacs-30.

Robert
--